# microformats2-types [![Hackage](https://img.shields.io/hackage/v/microformats2-types.svg?style=flat)](https://hackage.haskell.org/package/microformats2-types) [![unlicense](https://img.shields.io/badge/un-license-green.svg?style=flat)](http://unlicense.org)

[Microformats 2] types for Haskell!

- [Aeson] instances
- [Default] instances
- [Setters] instances
- [Pandoc] content for h-entry

This package is not very interesting, check out [microformats2-parser] and [sweetroll] :-)

[Microformats 2]: http://microformats.org/wiki/microformats2
[Aeson]: https://hackage.haskell.org/package/aeson
[Default]: https://hackage.haskell.org/package/data-default
[Setters]: https://hackage.haskell.org/package/setters
[Pandoc]: https://hackage.haskell.org/package/pandoc
[microformats2-parser]: https://github.com/myfreeweb/microformats2-parser
[sweetroll]: https://github.com/myfreeweb/sweetroll

## Contributing

Please feel free to submit pull requests!
Bugfixes and simple non-breaking improvements will be accepted without any questions :-)

By participating in this project you agree to follow the [Contributor Code of Conduct](http://contributor-covenant.org/version/1/2/0/).

[The list of contributors is available on GitHub](https://github.com/myfreeweb/microformats2-types/graphs/contributors).

## License

This is free and unencumbered software released into the public domain.  
For more information, please refer to the `UNLICENSE` file or [unlicense.org](http://unlicense.org).
